"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeBudgets = exports.readBudgets = void 0;
const file_1 = require("../../../../core/file");
const loggin_1 = require("../../../../core/loggin");
const budgetPath_constant_1 = require("../../options/budgetPath.constant");
function readBudgets(budgetPath = budgetPath_constant_1.DEFAULT_ASSERT_BUDGET_PATH) {
    const budgetsJson = JSON.parse((0, file_1.readFile)(budgetPath, { fail: true }) || '{}');
    return budgetsJson;
}
exports.readBudgets = readBudgets;
function writeBudgets(config, budgetPath = budgetPath_constant_1.DEFAULT_ASSERT_BUDGET_PATH) {
    (0, loggin_1.logVerbose)(`Update budgets under ${budgetPath}`);
    if (JSON.stringify(readBudgets()) !== JSON.stringify(config)) {
        (0, file_1.writeFile)(budgetPath, JSON.stringify(config));
        (0, loggin_1.logVerbose)(`New budgets ${JSON.stringify(config)}`);
    }
    else {
        (0, loggin_1.logVerbose)(`No updates for ${budgetPath} to save.`);
    }
}
exports.writeBudgets = writeBudgets;
//# sourceMappingURL=index.js.map