"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initCommand = void 0;
const tslib_1 = require("tslib");
const loggin_1 = require("../../core/loggin");
const options_1 = require("./options");
const utils_1 = require("./utils");
const collect_rc_json_1 = require("./processes/collect-rc-json");
const behaviors_1 = require("../../core/processing/behaviors");
const constants_1 = require("./constants");
const update_rc_json_1 = require("./processes/update-rc-json");
const generate_userflow_1 = require("./processes/generate-userflow");
const utils_2 = require("../../global/utils");
const generate_workflow_1 = require("./processes/generate-workflow");
exports.initCommand = {
    command: 'init',
    description: 'Setup .user-flowrc.json',
    builder: (y) => y.options(options_1.INIT_OPTIONS),
    module: {
        handler: (argv) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            (0, loggin_1.logVerbose)(`run "init" as a yargs command`);
            const { interactive } = (0, utils_2.getGlobalOptionsFromArgv)(argv);
            const _a = (0, utils_1.getInitCommandOptionsFromArgv)(argv), { generateFlow, generateGhWorkflow } = _a, cfg = tslib_1.__rest(_a, ["generateFlow", "generateGhWorkflow"]);
            (0, loggin_1.logVerbose)('Init options: ', Object.assign({ interactive, generateFlow, generateGhWorkflow }, cfg));
            yield (0, behaviors_1.run)([
                collect_rc_json_1.collectRcJson,
                update_rc_json_1.updateRcJson,
                (0, generate_userflow_1.handleFlowGeneration)({ interactive: !!interactive, generateFlow }),
                (0, generate_workflow_1.handleGhWorkflowGeneration)({ generateGhWorkflow })
            ])(cfg);
            (0, loggin_1.log)(constants_1.SETUP_CONFIRM_MESSAGE);
            // @TODO move to constants
            (0, loggin_1.log)('To execute a user flow run `npx user-flow` or `npx user-flow collect`');
        })
    }
};
//# sourceMappingURL=index.js.map