"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyConfigMiddleware = void 0;
const yargs = require("yargs");
const loggin_1 = require("./core/loggin");
const cli_mode_1 = require("./global/cli-mode/cli-mode");
function applyConfigMiddleware(handler, configParser) {
    return (...args) => {
        yargs.config(configParser());
        const { interactive, verbose, rcPath } = yargs.argv;
        (0, loggin_1.logVerbose)('CLI Mode: ', (0, cli_mode_1.detectCliMode)());
        (0, loggin_1.logVerbose)('Global options: ', { interactive, verbose, rcPath });
        return handler(yargs.argv);
    };
}
exports.applyConfigMiddleware = applyConfigMiddleware;
//# sourceMappingURL=config.middleware.js.map