"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.table = void 0;
const prettier_1 = require("../prettier");
const alignString = new Map([['l', ':--'], ['c', ':--:'], ['r', '--:']]);
/**
 * | Table Header 1  | Table Header 2 |
 * | --------------- | -------------- |
 * |  String 1       |  1             |
 * |  String 1       |  2             |
 * |  String 1       |  3             |
 */
function table(data, align) {
    align = align || data[0].map(_ => 'c');
    const _data = data.map((arr) => arr.join('|'));
    const secondRow = align.map((s) => alignString.get(s)).join('|');
    return (0, prettier_1.formatCode)(_data.shift() + '\n' + secondRow + '\n' + _data.join('\n'), 'markdown');
}
exports.table = table;
//# sourceMappingURL=table.js.map