"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.askToSkip = exports.promptParam = void 0;
const tslib_1 = require("tslib");
const enquirer_1 = require("enquirer");
function promptParam(cfg) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let { type, initial, message, skip, choices, result } = cfg;
        type = type || 'input';
        const { param } = yield (0, enquirer_1.prompt)([
            {
                name: 'param',
                type,
                initial, message, skip, result
            }
        ]);
        return param;
    });
}
exports.promptParam = promptParam;
function shouldProceed(question) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const proceed = yield promptParam({
            type: 'confirm',
            message: question,
            initial: true,
        });
        return proceed;
    });
}
function askToSkip(question, cliProcess, options = {
    precondition: () => tslib_1.__awaiter(this, void 0, void 0, function* () { return true; }),
}) {
    return function (d) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const isPreconditionMet = yield ((options === null || options === void 0 ? void 0 : options.precondition) ? options === null || options === void 0 ? void 0 : options.precondition(d) : Promise.resolve(false));
            if (!isPreconditionMet) {
                return d;
            }
            if (yield shouldProceed(question)) {
                return yield cliProcess(d);
            }
            return d;
        });
    };
}
exports.askToSkip = askToSkip;
//# sourceMappingURL=prompt.js.map